1. Liens
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Liens

Get Liens

GET
/liens

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://portal.litpro.com/api/v1/liens?page[size]=15&page[number]=1&filter[claimant_id]=&sort=-created_at' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": [
        {
            "id": 0,
            "client": "string",
            "project": "string",
            "program": "string",
            "claimant": "string",
            "health_plan": "string",
            "plan_type": "string",
            "status": "string",
            "lienholder": "string",
            "lienholder_id": "string",
            "initial_lien_amount": 0,
            "initial_lien_date": "2019-08-24",
            "receipt_of_entitlement_date": "2019-08-24",
            "previously_recovered_amount": 0,
            "audited_lien_amount": 0,
            "audit_completed_date": "2019-08-24",
            "current_lien_amount": 0,
            "agreed_to_lien_amount": 0,
            "reduced_lien_amount": 0,
            "reduced_lien_date": "2019-08-24",
            "holdback_amount": 0,
            "claims": [
                {
                    "treatment_date": "2019-08-24",
                    "provider_name": "string",
                    "icd_code": "string",
                    "icd_description": "string",
                    "paid": "string",
                    "status": "string"
                }
            ],
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    ],
    "links": {
        "first": "string",
        "last": "string",
        "prev": null,
        "next": "string"
    },
    "meta": {
        "current_page": 0,
        "from": 0,
        "last_page": 0,
        "links": [
            {
                "url": "string",
                "label": "string",
                "page": 0,
                "active": true
            }
        ],
        "path": "string",
        "per_page": 0,
        "to": 0,
        "total": 0
    }
}
Modified at 2026-06-21 14:29:17
Previous
Update an Existing Settlement
Next
Get Lien